
<!-- Resources Page -->
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link href="css/question.css" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Material+Icons|Material+Icons+Outlined|Material+Icons+Two+Tone|Material+Icons+Round|Material+Icons+Sharp" rel="stylesheet">
    
    <title>answers</title>
</head>
<body>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>


    <!-- nav starting -->
    <nav class="navbar navbar-expand-md navbar-light border-bottom p-0 ps-5">
        <div class="container">
            <a class="navbar-brand" href="dashboard.html">
                <span class="text-coprate-color fw-bold fs-3">Gcit-Quora</span>
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ">
                    <li class="nav-item ">
                        <a class="nav-link" href="dashboard.html">
                            <svg class="text-muted" xmlns="http://www.w3.org/2000/svg"  viewBox="0 0 24 24" fill="currentColor"><path d="M0 0h24v24H0z" fill="none"/><path d="M10 20v-6h4v6h5v-8h3L12 3 2 12h3v8z"/></svg>                       
                        </a>
                    </li>
                    <li class="nav-item ">
                        <a class="nav-link" href="resources.html">
                            <svg class="text-muted" xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24" viewBox="0 0 24 24" fill="currentColor"><g><path d="M0,0h24v24H0V0z" fill="none"/></g><g><path d="M16,3H5C3.9,3,3,3.9,3,5v14c0,1.1,0.9,2,2,2h14c1.1,0,2-0.9,2-2V8L16,3z M19,19H5V5h10v4h4V19z M7,17h10v-2H7V17z M12,7H7 v2h5V7z M7,13h10v-2H7V13z"/></g></svg>
                            <span class="position-relative me-auto">
                                <!-- <span class="position-absolute top-0 start-100 translate-middle p-1 bg-danger border border-light rounded-circle"> -->
                                    <span class="visually-hidden">Resources</span>
                                <!-- </span> -->
                            </span>
                        </a>
                    </li>
                    <li class="nav-item border-coprate-color">
                        <a class="nav-link" href="#">
                            <svg class="text-coprate-color" xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24"  viewBox="0 0 24 24" fill="currentColor"><rect fill="none" height="24" width="24"/><path d="M3,10h11v2H3V10z M3,8h11V6H3V8z M3,16h7v-2H3V16z M18.01,12.87l0.71-0.71c0.39-0.39,1.02-0.39,1.41,0l0.71,0.71 c0.39,0.39,0.39,1.02,0,1.41l-0.71,0.71L18.01,12.87z M17.3,13.58l-5.3,5.3V21h2.12l5.3-5.3L17.3,13.58z"/></svg>
                            <span class="position-relative">
                                <!-- <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger"> -->
                                    
                                    <span class="visually-hidden">Post</span>
                                <!-- </span> -->
                            </span>
                        </a>
                    </li>                    
                </ul>

                <form class="d-flex">
                    <input class="form-control me-2 search-icon" type="search" placeholder="Search Quoraa" aria-label="Search">
                </form>

                <ul class="navbar-nav px-3 ">
                    <li class="nav-item">
                        <a class="nav-link" href="myprofile.html">
                            <img class="profile rounded-circle " src="img/pic1.jpg">
                        </a>
                    </li>
                </ul>

                  <div class="btn-group">
                    <button id="button1" type="button" class="btn btn-sm bg-coprate-color rounded-pill fw-bold text-light"><a href="#" data-bs-toggle="modal" data-bs-target="#myModal" style="text-decoration: none;color: #fff;"> Add question</a></button>
                
  <div class="modal" tabindex="-1" id="myModal">
    <div class="modal-dialog modal-lg"> <!-- Add modal-lg class for a larger modal -->
      <div class="modal-content">
        <div class="modal-header "> <!-- Customize header background color and text color -->
          <h5 class="modal-title">Add Question</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <!-- <p>Custom modal body text goes here.</p> -->
          <div class="form-group">
            <!-- <label for="inputName">Name</label> -->
            <input type="text" class="form-control" id="inputQuestion" style="height: 200px;" placeholder="Start your questioin with 'What','How','Why', etc. ">
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          <button type="button" class="btn btn-primary">Add question</button> <!-- Change the Save button color to green -->
        </div>
      </div>
    </div>
  </div>
</div>
</div>
</div>
</nav>
<!-- nav ending -->




    <div class="bg-light pt-4">
        <div class="container mb-5">
            <div class="row">
                    <div id="left-list" class="col-2 d-flex flex-column">
                        <a class="bg-second-color" href="#">
                            <!-- <span class="rounded ">+</span> -->
                            <span class="fw-bold">Questions</span>
                        </a>
                      
                        <a href="#">
                            <!-- <img src="img/pic1.jpg"> -->
                            <span>Questions for you</span>
                        </a>
                    </div>


                    <div class="col-7">
                        <div class="bg-white border-gray ">
                            <div class="d-flex pt-2 border-gray">
                                <div class="col d-flex ">
                                    <img class="post-profile rounded-circle " src="img/q1.png">
                                    <div class="d-flex flex-column">
                                        <span class="fw-bold fs-6 pt-3">Questions for you</span>
                                    </div>
                                </div>
                              
                            </div>


<!-- 1 -->
<div class="border-gray"> 
    <div class="post-body pt-2 ps-3">
     
        <div class="post-title pt-1 fw-bold">

                <a  data-bs-toggle="modal" data-bs-target="#myModal" class="text-decoration-none text-black" href="#">
                     <!-- qustion fetching start -->
                    <!-- <div class="container mt-4"> -->
                    <div class="container mt-4 row" id="questionContainer">

                    <!-- Questions will be dynamically added here -->
                    </div>
                    <!-- </div> -->
                    <!-- question fetching end -->
                </a>  
             <br>
          
             <!-- start of comment section -->
             <!-- <div class="post-footer p-2">
                <div class="btn-group" role="group" aria-label="Basic example">
                  
                    <button type="button" class="post-button post-button-bg border-0 rounded-circle text-black p-1"> -->
                        <!-- <img src="img/answer.png" width="25" class="p-1"> -->
                        <!-- <svg xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24" height="24px" viewBox="0 0 24 24" width="24px" fill="currentColor"><rect fill="none" height="24" width="24"/><path d="M3,10h11v2H3V10z M3,8h11V6H3V8z M3,16h7v-2H3V16z M18.01,12.87l0.71-0.71c0.39-0.39,1.02-0.39,1.41,0l0.71,0.71 c0.39,0.39,0.39,1.02,0,1.41l-0.71,0.71L18.01,12.87z M17.3,13.58l-5.3,5.3V21h2.12l5.3-5.3L17.3,13.58z"/></svg>
        
                        3
                    </button>
                    
                </div>
              
            </div> -->
            <!-- <a href="#" class="text-decoration-none text-black"><small class="text-muted">2 answers</small></a> -->

            <!-- end of comment section -->
           

        </div>
     

       
    </div> 

   
   
</div>






                        <!-- The Modal -->
  <div class="modal" tabindex="-1" id="myModal">
    <div class="modal-dialog modal-lg"> <!-- Add modal-lg class for a larger modal -->
      <div class="modal-content">
        <div class="modal-header "> <!-- Customize header background color and text color -->
          <h5 class="modal-title">Answer:</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <!-- <p>Custom modal body text goes here.</p> -->
          <div class="form-group">
            <label for="inputAnswer" class="fw-bold">How does web 3.0 differ from web 2.0 ?</label>
            <input type="text" class="form-control" id="inputAnswer" style="height: 200px;" placeholder="Write you answer">
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          <button type="button" class="btn btn-primary">Add question</button> <!-- Change the Save button color to green -->
        </div>
      </div>
    </div>
  </div>
                        </div>
                    </div>
                  
            </div>
        </div>
    </div>
  </body>
</html>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"></script>
<script type="module" src="./js/fetch.js"></script>



